Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.recordmapping
Class RecordContent

    java.lang.Object
      com.servingxml.components.content.AbstractContent
          com.servingxml.components.recordmapping.RecordContent

All Implemented Interfaces:
  Content, RecordFilterAppender, RecordPipelineAppender, Stringable

    public class RecordContent

extends AbstractContent
implements Content, RecordFilterAppender

A `RecordContent` instance may be used to obtain objects that supply XML content as an input stream.

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.components.string.Stringable
`Stringable.EmptyStringable`

Field Summary

Fields inherited from interface com.servingxml.components.content.Content
`EMPTY_ARRAY`

Fields inherited from interface com.servingxml.components.string.Stringable
`EMPTY`

Constructor Summary
`RecordContent(RecordPipelineAppender[] recordPipelineAppenders, RecordMappingFactory recordMapFactory, OutputPropertyFactory[] outputPropertyFactories)`

Method Summary
`void` | `appendToRecordPipeline(ServiceContext context, Flow flow, RecordFilterChain pipeline)`
`void` | `appendToXmlPipeline(ServiceContext context, Flow flow, XmlFilterChain pipeline)`
`RecordPipeline` | `createRecordPipeline(ServiceContext context, Flow flow)`
`SaxSource` | `createSaxSource(ServiceContext context, Flow flow)`
`XmlPipeline` | `createXmlPipeline(ServiceContext context, Flow flow)`
`java.lang.String` | `toString()`

Methods inherited from class com.servingxml.components.content.AbstractContent
`createDefaultOutputProperties, createString, execute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.servingxml.components.string.Stringable
`createString`

Constructor Detail

### RecordContent

    public RecordContent(RecordPipelineAppender[] recordPipelineAppenders,
                         RecordMappingFactory recordMapFactory,
                         OutputPropertyFactory[] outputPropertyFactories)

Method Detail

### createRecordPipeline

    public RecordPipeline createRecordPipeline(ServiceContext context,
                                               Flow flow)

  Specified by:
    `createRecordPipeline` in interface `RecordPipelineAppender`

### appendToRecordPipeline

    public void appendToRecordPipeline(ServiceContext context,
                                       Flow flow,
                                       RecordFilterChain pipeline)

  Specified by:
    `appendToRecordPipeline` in interface `RecordPipelineAppender`

### createSaxSource

    public SaxSource createSaxSource(ServiceContext context,
                                     Flow flow)

  Specified by:
    `createSaxSource` in interface `Content`

### appendToXmlPipeline

    public void appendToXmlPipeline(ServiceContext context,
                                    Flow flow,
                                    XmlFilterChain pipeline)

  Specified by:
    `appendToXmlPipeline` in interface `Content`

### createXmlPipeline

    public XmlPipeline createXmlPipeline(ServiceContext context,
                                         Flow flow)

  Specified by:
    `createXmlPipeline` in interface `Content`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD